Bug 56248 - TCL_BUILD_SRC_DIR in /usr/lib/tclConfig.sh is invalid
Summary: TCL_BUILD_SRC_DIR in /usr/lib/tclConfig.sh is invalid
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-14 16:45 UTC by Nakai
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 08:14:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nakai 2001-11-14 16:45:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
In /usr/lib/tclConfig.sh:
TCL_BUILD_LIB_SPEC='-L/usr/src/build/38001-i386/BUILD/tcltk-8.3.3/tcl8.3.3/unix
-ltcl${TCL_DBGX}'

This should be the directory the most user will build tcltk:
TCL_BUILD_LIB_SPEC='-L/usr/src/redhat/BUILD/tcltck-8.3.3/tcl8.3.3/unix
-ltcl${TCL_DBGX}'

TCL_SRC_DIR has same problem.

This problem affects our other products like Insight.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to build Insight.
2.Oops
3.
	

Additional info:

Comment 1 Jens Petersen 2002-12-10 09:17:21 UTC
My feeling is that TCL_BUILD_LIB_SPEC is supposed to be used when
linking libtcl during the building of tcl software packages
in the same source tree as tcl, etc, whereas TCL_LIB_SPEC is to be
used for linking against the installed library.
If Insight is using the former rather than the rather then
it sounds like an Insight bug.

# String to pass to linker to pick up the Tcl library from its
# build directory.
TCL_BUILD_LIB_SPEC='-L/home/petersen/mypkgs/tcltk/tcltk-8.3.5/tcl8.3.5/unix
-ltcl8.3${TCL_DBGX}'

# String to pass to linker to pick up the Tcl library from its
# installed directory.
TCL_LIB_SPEC='-L/usr/lib -ltcl8.3${TCL_DBGX}'



Note You need to log in before you can comment on or make changes to this bug.